const timestampCursorMessage = 'Cursor cannot be used when reading by timestamp boundary';

const loadEventsByTimestampResult = events => {
  return {
    get cursor() {
      throw new Error(timestampCursorMessage);
    },

    events,
    toJSON: function () {
      return {
        events: this.events,
        cursor: timestampCursorMessage
      };
    }
  };
};

export default loadEventsByTimestampResult;
//# sourceMappingURL=load-events-by-timestamp-result.js.map