"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const timestampCursorMessage = 'Cursor cannot be used when reading by timestamp boundary';

const loadEventsByTimestampResult = events => {
  return {
    get cursor() {
      throw new Error(timestampCursorMessage);
    },

    events,
    toJSON: function () {
      return {
        events: this.events,
        cursor: timestampCursorMessage
      };
    }
  };
};

var _default = loadEventsByTimestampResult;
exports.default = _default;
//# sourceMappingURL=load-events-by-timestamp-result.js.map